Summary:        D-Bus service to check the availability of dual-GPU
Name:           switcheroo-control
Version:        2.6
Release:        4%{?dist}
License:        GPLv3
URL:            https://gitlab.freedesktop.org/hadess/switcheroo-control
Source0:        %{url}/uploads/86ea54ac7ddb901b6bf6e915209151f8/switcheroo-control-2.6.tar.xz

BuildRequires:  gcc meson systemd python3-dbusmock umockdev docbook-style-xsl libxslt
BuildRequires:  pkgconfig(gudev-1.0) pkgconfig(gio-2.0)

%{?systemd_requires}

%description
D-Bus service to check the availability of dual-GPU.

%prep
%autosetup -n %{name}-%{version} -p1

# do not support html
sed -i '21,31d' docs/meson.build

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%post
/usr/bin/systemctl daemon-reload
%systemd_post switcheroo-control.service

%preun
%systemd_preun switcheroo-control.service

%postun
%systemd_postun_with_restart switcheroo-control.service

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/switcherooctl
%{_datadir}/dbus-1/system.d/net.hadess.SwitcherooControl.conf
%{_unitdir}/switcheroo-control.service
%{_libexecdir}/switcheroo-control
%{_udevhwdbdir}/30-pci-intel-gpu.hwdb
%{_mandir}/man1/switcherooctl.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 2.6-1
- initial build
